org.eclipse.rdf4j.model

## Interface BNode

- All Superinterfaces:
    Resource, Serializable, Value
  All Known Implementing Classes:
    AbstractBNode, BNodeImpl, MemBNode, NativeBNode, SimpleBNode

      public interface BNode
      extends Resource

  An RDF-1.1 blank node (aka bnode, aka anonymous node). A blank node has an identifier to be able to compare it to other blank nodes internally. Please note that, conceptually, blank node equality can only be determined by examining the statements that refer to them.
  See Also:
    RDF-1.1 Concepts and Abstract Syntax

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` Compares this blank node to another object.
    `String` | `getID()` Retrieves this blank node's identifier.
    `int` | `hashCode()` Computes the hash code of this blank node.
    `default boolean` | `isBNode()` Check if the object is an instance of the given type.

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Resource

      `isResource`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Value

      `isIRI, isLiteral, isTriple, stringValue`

- - ### Method Detail

    - #### isBNode

          default boolean isBNode()

      Description copied from interface: `Value`
      Check if the object is an instance of the given type. Typically 2x than using instanceof. For implementers: This default implementation is overridden in the repsective sub-interface.
      Specified by:
        `isBNode` in interface `Value`
      Returns:
        true if instance of `BNode`

    - #### getID

          String getID()

      Retrieves this blank node's identifier.
      Returns:
        A blank node identifier.

    - #### equals

          boolean equals(Object o)

      Compares this blank node to another object.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `o` - the object to compare this blank node to
      Returns:
        `true`, if the other object is an instance of `BNode` and their IDs are equal; `false`, otherwise.

    - #### hashCode

          int hashCode()

      Computes the hash code of this blank node.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        a hash code for this blank node computed as `getID()``.hashCode()`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.